- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# icx_linkagg – Manage link aggregation groups on Ruckus ICX 7000 series switches

New in version 2.9.

- Synopsis
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- This module provides declarative management of link aggregation groups on Ruckus ICX network devices.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
aggregate list |  | List of link aggregation definitions.
| check_running_config boolean | Choices: no yes | Check running configuration. This can be set as environment variable. Module will use environment variable value(default:True), unless it is overridden, by specifying it as module parameter.
| group integer |  | Channel-group number for the port-channel Link aggregation group. Range 1-255 or set to 'auto' to auto-generates a LAG ID
| members list |  | List of port members or ranges of the link aggregation group.
| mode string | Choices: dynamic static | Mode of the link aggregation group.
| name string |  | Name of the LAG
| state string | Choices: present absent | State of the link aggregation group.
check_running_config boolean | Choices: no yes ← | Check running configuration. This can be set as environment variable. Module will use environment variable value(default:True), unless it is overridden, by specifying it as module parameter.
group integer |  | Channel-group number for the port-channel Link aggregation group. Range 1-255 or set to 'auto' to auto-generates a LAG ID
members list |  | List of port members or ranges of the link aggregation group.
mode string | Choices: dynamic static | Mode of the link aggregation group.
name string |  | Name of the LAG
purge boolean | Choices: no ← yes | Purge links not defined in the aggregate parameter.
state string | Choices: present ← absent | State of the link aggregation group.

## Notes

Note

- Tested against ICX 10.1.
- For information on using ICX platform, see the ICX OS Platform Options guide.

## Examples

    - name: create static link aggregation group
      icx_linkagg:
        group: 10
        mode: static
        name: LAG1

    - name: create link aggregation group with auto id
      icx_linkagg:
        group: auto
        mode: dynamic
        name: LAG2

    - name: delete link aggregation group
      icx_linkagg:
        group: 10
        state: absent

    - name: Set members to LAG
      icx_linkagg:
        group: 200
        mode: static
        members:
          - ethernet 1/1/1 to 1/1/6
          - ethernet 1/1/10

    - name: Remove links other then LAG id 100 and 3 using purge
      icx_linkagg:
        aggregate:
          - { group: 3}
          - { group: 100}
        purge: true

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
commands list | always, except for the platforms that use Netconf transport to manage the device. | The list of configuration mode commands to send to the device Sample: ['lag LAG1 dynamic id 11', 'ports ethernet 1/1/1 to 1/1/6', 'no ports ethernet 1/1/10', 'no lag LAG1 dynamic id 12']

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Ruckus Wireless (@Commscope)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.